## Class TValidatorClientSide

Description

TValidatorClientSide class.

Client-side validator events can be modified through the TBaseValidator::getClientSide property of a validator. The subproperties of ClientSide are those of the TValidatorClientSide properties. The client-side validator supports the following events.

The <tt>OnValidate</tt> event is raise before the validator validation functions are called.

The <tt>OnValidationSuccess</tt> event is raised after the validator has successfully validate the control.

The <tt>OnValidationError</tt> event is raised after the validator fails validation.

See the quickstart documentation for further details.

- since: 3.0
- version: $Id: TBaseValidator.php 2418 2008-04-08 14:48:48Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TBaseValidator.php (line 603)

    TComponent
       |
       --TClientSideOptions
          |
          --TValidatorClientSide

Method Summary
boolean getObserveChanges ()
string getOnValidate ()
string getOnValidationError ()
string getOnValidationSuccess ()
void setObserveChanges (boolean $value)
void setOnValidate (string $javascript)
void setOnValidationError (string $javascript)
void setOnValidationSuccess (string $javascript)
Methods
getObserveChanges (line 670)

- return: true to observe changes.
- access: public

boolean getObserveChanges ()
getOnValidate (line 608)

- return: javascript code for client-side OnValidate event.
- access: public

string getOnValidate ()
getOnValidationError (line 654)

- return: javascript code for client-side OnError event.
- access: public

string getOnValidationError ()
getOnValidationSuccess (line 636)

- return: javascript code for client-side OnSuccess event.
- access: public

string getOnValidationSuccess ()
setObserveChanges (line 662)

- access: public

void setObserveChanges (boolean $value)

- boolean $value: true to revalidate when the control to validate changes value.

setOnValidate (line 618)

Client-side OnValidate validator event is raise before the validators validation functions are called.

- access: public

void setOnValidate (string $javascript)

- string $javascript: javascript code for client-side OnValidate event.

setOnValidationError (line 646)

Client-side OnError event is raised after validation failure.

This will override the default client-side validator behaviour.

- access: public

void setOnValidationError (string $javascript)

- string $javascript: javascript code for client-side OnError event.

setOnValidationSuccess (line 628)

Client-side OnSuccess event is raise after validation is successfull.

This will override the default client-side validator behaviour.

- access: public

void setOnValidationSuccess (string $javascript)

- string $javascript: javascript code for client-side OnSuccess event.

#### Inherited Methods

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:31:31 -0400 by phpDocumentor 1.3.0RC4